> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a contract



## OpenAPI

````yaml PUT /contract/v1/contracts/{contractId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contracts/{contractId}:
    put:
      tags:
        - Contracts
      summary: Update a contract
      operationId: UpdateContract
      parameters:
        - in: path
          name: contractId
          description: Contract ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        description: Contract object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                startAt:
                  type: string
                  format: date
                  description: Start date of contract
                endAt:
                  type: string
                  format: date
                  description: end date of contract
                code:
                  type: string
                  description: Code of the contract
                comment:
                  type: string
                  description: Comments
                jobChargeId:
                  type: string
                  format: uuid
                  description: Job charge ID
                contractTypeId:
                  type: string
                  format: uuid
                  description: The ID of the agreement
                agreementId:
                  type: string
                  format: uuid
                  description: The ID of the agreement
                degreeId:
                  type: string
                  format: uuid
                  description: The ID of the degree
                workDayTypeId:
                  type: string
                  format: uuid
                  description: The ID of the work type
                socialSecurityNumber:
                  type: string
                  description: The social security number
                trialPeriod:
                  type: object
                  properties:
                    trialPeriodType:
                      type: string
                      example: months
                    quantity:
                      type: number
                      example: '6'
                cbo:
                  type: string
                  pattern: ^\d{4}(-\d{2})?$
                  example: 2024-01
                  description: CBO code (Brazilian Classification of Occupations)
                remoteWork:
                  type: boolean
                  description: Remote work
                seniorityDate:
                  type: string
                  format: date
                  description: Seniority date
                jobLevel:
                  type: string
                  format: uuid
                  description: The job level
                jobPositionDescription:
                  type: string
                  description: The job position description
                weeklyHours:
                  type: number
                  format: float
                  description: Weekly working hours
                maxLegalWeeklyHours:
                  type: number
                  format: float
                  description: Max legal weekly working hours
                maxLegalAnnualHours:
                  type: number
                  format: float
                  description: Max legal annual working hours
                percentageWorkDay:
                  type: number
                  format: float
                  description: Percentage of workday
                fte:
                  type: number
                  format: float
                  description: The FTE value should be between 0 and 1
                workDays:
                  type: array
                  items:
                    type: object
                    properties:
                      day:
                        type: string
                        description: Day of the week
                        enum:
                          - monday
                          - tuesday
                          - wednesday
                          - thursday
                          - friday
                          - saturday
                          - sunday
                      hour:
                        type: number
                        format: float
                        description: Total hour to work in the day
                    required:
                      - day
                      - hour
              required:
                - startAt
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: c6bd9090-06ec-48e5-a3bc-22181cf0a6c9
                        format: uuid
                      startAt:
                        type: string
                        format: date
                        example: '2021-12-13'
                      endAt:
                        type: string
                        format: date
                        example: '2022-12-13'
                      startDate:
                        deprecated: true
                        description: deprecated, use startAt instead
                        type: string
                        format: date
                        example: '2021-12-13'
                      endDate:
                        deprecated: true
                        description: deprecated, use endAt instead
                        type: string
                        format: date
                        example: '2022-12-13'
                      comment:
                        type: string
                        example: ''
                      code:
                        type: string
                        example: ''
                      jobChargeId:
                        type: string
                        example: c6bd9090-06ec-48e5-a3bc-22181cf0a6c9
                        format: uuid
                      jobChargeName:
                        type: string
                        example: the name of the job charge
                      contractTypeId:
                        type: string
                        format: uuid
                        description: The ID of the contract type
                      contractTypeName:
                        type: string
                        description: The name of the contract type
                      agreementId:
                        type: string
                        format: uuid
                        description: The ID of the agreement
                      agreementName:
                        type: string
                        description: The name of the agreement
                      degreeId:
                        type: string
                        format: uuid
                        description: The ID of the degree
                      degreeName:
                        type: string
                        description: The name of the degree
                      workDayTypeId:
                        type: string
                        format: uuid
                        description: The ID of the work type
                      workDayTypeName:
                        type: string
                        description: The name of the work type
                      socialSecurityNumber:
                        type: string
                        description: The social security number
                      trialPeriodType:
                        type: string
                        description: The type of the trial period
                      trialPeriodQuantity:
                        type: integer
                        description: The quantity of the trial period
                      seniorityDate:
                        type: string
                        format: date
                        example: '2022-12-13'
                      percentageWorkDay:
                        type: number
                        description: The quantity of the percentage work day
                      weeklyHours:
                        type: number
                        description: The quantity of the weekly hours
                      cbo:
                        type: string
                        example: ''
                      remoteWork:
                        type: boolean
                      jobLevelId:
                        type: string
                        format: uuid
                        description: The ID of the job level
                      jobLevelName:
                        type: string
                        description: The name of the job level
                      jobPositionDescription:
                        type: string
                        description: The description of the job position
                      maxLegalWeeklyHours:
                        type: integer
                        description: The quantity of the max legal weekly hours
                      maxLegalAnnualHours:
                        type: integer
                        description: The quantity of the max legal annual hours
                      fte:
                        type: number
                        description: The quantity of the fte
                      workDays:
                        type: array
                        items:
                          type: object
                          properties:
                            day:
                              type: string
                              example: monday
                            hours:
                              type: number
                              example: 8
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````